AC_INIT(src/sat_class.cc)
AM_INIT_AUTOMAKE(smeg, ir1)

AM_MAINTAINER_MODE

AC_PROG_MAKE_SET
AC_PROG_CC
AC_PROG_CXX
AC_LANG_CPLUSPLUS
AC_PROG_YACC
AM_PROG_LEX

AC_CHECK_LIB(readline, readline)
AC_CHECK_LIB(history, add_history)
AC_CHECK_LIB(ncurses, initscr)

AC_OUTPUT([Makefile src/Makefile doc/Makefile])
